Theme
Chat Interface - Thinking 1 [chat compatible format]
POST
https://www.kkiai.com/v1/chat/completions
Given a prompt, the model will return one or more predicted completions, and can also return the probability of alternative tokens at each position.
Create a completion for the provided prompt and parameters
Official documentation: https://ai.google.dev/gemini-api/docs/text-generation?hl=zh-cn
Request Parameters
Authorization
Add the Authorization parameter in the Header, with its value being the Token concatenated after Bearer
Example: Authorization: Bearer ********************
Header Parameters
| Parameter | Type | Required | Description | Example |
|---|---|---|---|---|
Content-Type | string | Required | application/json | |
Accept | string | Required | application/json | |
Authorization | string | Optional | Bearer {{YOUR_API_KEY}} |
Body Parameters (application/json)
| Parameter | Type | Required | Description |
|---|---|---|---|
model | string | Required | The ID of the model to use. For details on which models can be used with the Chat API, see the model endpoint compatibility table. |
messages | array[object] | Required | A list of messages comprising the conversation so far. Python code example. |
└ role | string | Optional | |
└ content | string | Optional | |
temperature | integer | Optional | What sampling temperature to use, between 0 and 2. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic. We generally recommend altering this or top_p but not both. |
top_p | integer | Optional | An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered. We generally recommend altering this or temperature but not both. |
n | integer | Optional | Defaults to 1. How many chat completion choices to generate for each input message. |
stream | boolean | Optional | Defaults to false. If set, partial message deltas will be sent, like in ChatGPT. Tokens will be sent as data-only server-sent events as they become available, with the stream terminated by a data: [DONE] message. Python code example. |
stop | string | Optional | Defaults to null. Up to 4 sequences where the API will stop generating further tokens. |
max_tokens | integer | Optional | Defaults to inf. The maximum number of tokens to generate in the chat completion. The total length of input tokens and generated tokens is limited by the model's context length. Python code example for counting tokens. |
presence_penalty | number | Optional | A number between -2.0 and 2.0. Positive values penalize new tokens based on whether they appear in the text so far, increasing the model's likelihood to talk about new topics. See more information about frequency and presence penalties. |
frequency_penalty | number | Optional | Defaults to 0. A number between -2.0 and 2.0. Positive values penalize new tokens based on their existing frequency in the text so far, decreasing the model's likelihood to repeat the same line verbatim. See more information about frequency and presence penalties. |
logit_bias | null | Optional | Modify the likelihood of specified tokens appearing in the completion. Accepts a JSON object that maps tokens (specified by their token ID in the tokenizer) to an associated bias value (-100 to 100). Mathematically, the bias is added to the logits generated by the model prior to sampling. The exact effect will vary per model, but values between -1 and 1 should decrease or increase likelihood of selection; and values like -100 or 100 should result in the specified token being banned or exclusively selected. |
user | string | Optional | A unique identifier representing your end-user, which can help OpenAI monitor and detect abuse. Learn more. |
response_format | object | Optional | An object specifying the format that the model must output. Setting to { "type": "json_object" } enables JSON mode, which ensures the model-generated message is valid JSON. Important: when using JSON mode, you must also instruct the model to produce JSON in a system or user message. If you don't do this, the model may generate an endless stream of whitespace until the generation reaches the token limit, resulting in increased latency and a request appearing to "hang". Also note that if finish_reason="length", the message content may be partially cut off, indicating that generation exceeded max_tokens or the conversation exceeded the maximum context length. Show properties |
seen | integer | Optional | This feature is in beta. If specified, our system will make a best effort to sample deterministically, such that repeated requests with the same seed and parameters should return the same result. Determinism is not guaranteed, and you should refer to the system_fingerprint response parameter to monitor backend changes. |
tools | array[string] | Required | A list of tools the model may call. Currently, only functions are supported as a tool. Use this to provide a list of functions the model may generate JSON inputs for. |
tool_choice | object | Required | Controls which function (if any) the model calls. none means the model will not call a function and instead generates a message. auto means the model can choose between generating a message and calling a function. Specify a particular function with {"type": "function", "function": {"name": "my_function"}} to force the model to call that function. If no functions are present, defaults to none. If functions are present, defaults to auto. Show possible types |
Request Example
json
{
"messages": [
{
"role": "user",
"content": "Hello"
}
],
"model": "gemini-2.5-pro",
"temperature": 0.1,
"top_p": 1.0,
"stream": true,
"reasoning_effort": "low"
}cURL Example
bash
curl --location --request POST 'https://www.kkiai.com/v1/chat/completions' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"messages": [
{
"role": "user",
"content": "Hello"
}
],
"model": "gemini-2.5-pro",
"temperature": 0.1,
"top_p": 1.0,
"stream": true,
"reasoning_effort": "low"
}'Response
🟢 200 OK
Response Body
| Parameter | Type | Required | Description |
|---|---|---|---|
id | string | Required | |
object | string | Required | |
created | integer | Required | |
choices | array[object] | Required | |
└ index | integer | Optional | |
└ message | object | Optional | |
└ finish_reason | string | Optional | |
usage | object | Required | |
└ prompt_tokens | integer | Required | |
└ completion_tokens | integer | Required | |
└ total_tokens | integer | Required |
Response Example
json
{
"id": "chatcmpl-123",
"object": "chat.completion",
"created": 1677652288,
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": "\n\nHello there, how may I assist you today?"
},
"finish_reason": "stop"
}
],
"usage": {
"prompt_tokens": 9,
"completion_tokens": 12,
"total_tokens": 21
}
}